Name:           perl-strictures
Version:        1.005005
Release:        1%{?dist}
Summary:        Turn on strict and make all warnings fatal
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/strictures/
Source0:        http://search.cpan.org/CPAN/authors/id/H/HA/HAARG/strictures-%{version}.tar.gz
BuildArch:      noarch
# Module Build
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::CBuilder)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Text::ParseWords)
# Module Runtime
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Test Suite
BuildRequires:  perl(Test::More)
# Optional Tests
BuildRequires:  perl(indirect)
BuildRequires:  perl(multidimensional)
BuildRequires:  perl(bareword::filehandles)
# Runtime
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This package turns on strict and makes all warnings fatal.

%prep
%setup -q -n strictures-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/strictures.pm
%{_mandir}/man3/strictures.3*

%changelog
* Fri Oct  3 2014 Paul Howarth <paul@city-fan.org> - 1.005005-1
- Update to 1.005005
  - Detect mercurial when checking for development trees
  - Avoid using constant.pm to save a bit of memory on older perls
  - Update to v2 metadata
  - Fix skip on old perl on test script
  - Extra prereqs will be listed as hard prerequisites if a compiler is
    available
  - Added support for PUREPERL_ONLY (CPAN RT#91407)
  - Fixed using strictures->VERSION to query the version (CPAN RT#92965)
  - Make sure meta files list extra modules as recommendations, not requirements
  - Include minimum perl version in metadata
- This release by HAARG → update source URL
- Make %%files list more explicit

* Fri Aug 29 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.004004-6
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.004004-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Aug 07 2013 Petr Pisar <ppisar@redhat.com> - 1.004004-4
- Perl 5.18 rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.004004-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.004004-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Dec 07 2012 Iain Arnell <iarnell@gmail.com> 1.004004-1
- update to latest upstream version

* Sun Sep 09 2012 Iain Arnell <iarnell@gmail.com> 1.004002-1
- update to latest upstream version

* Sat Jul 21 2012 Iain Arnell <iarnell@gmail.com> 1.004001-1
- update to latest upstream version

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.003001-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jun 23 2012 Petr Pisar <ppisar@redhat.com> - 1.003001-3
- Perl 5.16 rebuild

* Sat May 19 2012 Iain Arnell <iarnell@gmail.com> 1.003001-2
- buildrequire multidimensional and bareword::filehandes for additional testing

* Mon Apr 09 2012 Iain Arnell <iarnell@gmail.com> 1.003001-1
- update to latest upstream version

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.002002-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Oct 02 2011 Iain Arnell <iarnell@gmail.com> 1.002002-2
- better description

* Sun Oct 02 2011 Iain Arnell <iarnell@gmail.com> 1.002002-1
- Specfile autogenerated by cpanspec 1.79.
